IBM Support

org.apache.catalina.connector.CoyoteAdapter exception shows in log after upgrade

Technote (troubleshooting)


Problem(Abstract)

During a routine review of the TRIRIGA server.log after an upgrade this ERROR was noted
The error does not appear to impact TRIRIGA.

Symptom

ERROR [org.apache.catalina.connector.CoyoteAdapter](http-0.0.0.0-8001-9) An exception or error occurred in the container during the request processing

java.lang.NullPointerException
at org.apache.catalina.realm.RealmBase.findSecurityConstraints(RealmBase.java:502)
at org.jboss.web.tomcat.security.JBossWebRealm.findSecurityConstraints(JBossWebRealm.java:474)
at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:426)
at org.jboss.web.tomcat.security.JaccContextValve.invoke(JaccContextValve.java:95)
at org.jboss.web.tomcat.security.SecurityContextEstablishmentValve.process(SecurityContextEstablishmentValve.java:126)
at org.jboss.web.tomcat.security.SecurityContextEstablishmentValve.invoke(SecurityContextEstablishmentValve.java:70)
at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
at org.jboss.web.tomcat.service.jca.CachedConnectionValve.invoke(CachedConnectionValve.java:158)
at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:330)
at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:829)
at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:598)
at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:451)
at java.lang.Thread.run(Thread.java:662)


Cause

Apache Tomcat version was out of date


Diagnosing the problem

An internet search points to the Apache bug: https://bz.apache.org/bugzilla/show_bug.cgi?id=47080
This is not a TRIRIGA or IBM code issue.

Resolving the problem

As this is not causing any issue with the functionality of TRIRIGA it should not be a concern.
Upgrading Apache to a more current version will remove the error.

Document information

More support for: IBM TRIRIGA Application Platform

Software version: Version Independent

Operating system(s): Platform Independent

Reference #: 1957775

Modified date: 18 June 2015